optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.PreciSenInput Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.PreciSenInput:

## Public Member Functions
| __init__ (self, board=None)
| GetX (self)
| GetY (self)
| GetZ (self)
| GetCRC (self)
| get_value (self, channel)
| get_value_id (self, channel)
| init (self)
| is_init_done (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| timestamp
| preciX
| preciY
| preciZ
| preciCRC
| n_sensors
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list
Public Attributes inherited from optoKummenberg.registers.InputStage.FeedbackSystem
| n_sensors

## Protected Attributes
| _readonly
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.PreciSenInput.__init__ | ( |  | self,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ get_value()

optoKummenberg.registers.InputStage.PreciSenInput.get_value | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ get_value_id()

optoKummenberg.registers.InputStage.PreciSenInput.get_value_id | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ GetCRC()

optoKummenberg.registers.InputStage.PreciSenInput.GetCRC | ( |  | self | ) |

## ◆ GetX()

optoKummenberg.registers.InputStage.PreciSenInput.GetX | ( |  | self | ) |

## ◆ GetY()

optoKummenberg.registers.InputStage.PreciSenInput.GetY | ( |  | self | ) |

## ◆ GetZ()

optoKummenberg.registers.InputStage.PreciSenInput.GetZ | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.InputStage.PreciSenInput.help | ( |  | ) |
| static

## ◆ init()

optoKummenberg.registers.InputStage.PreciSenInput.init | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ is_init_done()

optoKummenberg.registers.InputStage.PreciSenInput.is_init_done | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.InputStage.PreciSenInput._readonly
| protected

## ◆ n_sensors

optoKummenberg.registers.InputStage.PreciSenInput.n_sensors

## ◆ name

optoKummenberg.registers.InputStage.PreciSenInput.name

## ◆ preciCRC

optoKummenberg.registers.InputStage.PreciSenInput.preciCRC

## ◆ preciX

optoKummenberg.registers.InputStage.PreciSenInput.preciX

## ◆ preciY

optoKummenberg.registers.InputStage.PreciSenInput.preciY

## ◆ preciZ

optoKummenberg.registers.InputStage.PreciSenInput.preciZ

## ◆ sys_id

optoKummenberg.registers.InputStage.PreciSenInput.sys_id

## ◆ timestamp

optoKummenberg.registers.InputStage.PreciSenInput.timestamp

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py